cURL
curl --request GET \
--url https://app-api.aide.app/v1/scenarios/{id}/backfills \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/scenarios/{id}/backfills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/scenarios/{id}/backfills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/scenarios/{id}/backfills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/scenarios/{id}/backfills"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/scenarios/{id}/backfills")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/scenarios/{id}/backfills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"object": "scenario_backfill",
"expiresAt": "<string>",
"preview": {
"alreadyRan": 123,
"capped": true,
"considered": 123,
"inShadow": 123,
"matching": 123,
"modelCalls": 123,
"skippedActions": {},
"sample": [
"<string>"
]
},
"createdAt": "<string>",
"id": "<string>",
"status": "cancelled",
"expired": true,
"error": "<string>",
"startedAt": "<string>",
"filters": {
"view": "<string>",
"status": [
"new"
],
"q": "<string>",
"team": [
"<string>"
],
"channel": [
"<string>"
],
"topic": [
"<string>"
],
"createdAfter": "<string>",
"createdBefore": "<string>",
"startedAfter": "<string>",
"startedBefore": "<string>"
},
"finishedAt": "<string>",
"previewedAt": "<string>",
"requestedBy": {
"name": "<string>",
"id": "<string>"
},
"scenarioId": "<string>",
"result": {
"skipped": 123,
"failed": 123,
"applied": 123
}
}
],
"metadata": {
"total": 123,
"totalIsCapped": true,
"perPage": 123,
"currentPage": 123,
"lastPage": 123,
"hasMore": true
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}ScenarioBackfill
Get v1scenarios backfills
GET
/
v1
/
scenarios
/
{id}
/
backfills
cURL
curl --request GET \
--url https://app-api.aide.app/v1/scenarios/{id}/backfills \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.aide.app/v1/scenarios/{id}/backfills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.aide.app/v1/scenarios/{id}/backfills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app-api.aide.app/v1/scenarios/{id}/backfills",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app-api.aide.app/v1/scenarios/{id}/backfills"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app-api.aide.app/v1/scenarios/{id}/backfills")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app-api.aide.app/v1/scenarios/{id}/backfills")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"object": "scenario_backfill",
"expiresAt": "<string>",
"preview": {
"alreadyRan": 123,
"capped": true,
"considered": 123,
"inShadow": 123,
"matching": 123,
"modelCalls": 123,
"skippedActions": {},
"sample": [
"<string>"
]
},
"createdAt": "<string>",
"id": "<string>",
"status": "cancelled",
"expired": true,
"error": "<string>",
"startedAt": "<string>",
"filters": {
"view": "<string>",
"status": [
"new"
],
"q": "<string>",
"team": [
"<string>"
],
"channel": [
"<string>"
],
"topic": [
"<string>"
],
"createdAfter": "<string>",
"createdBefore": "<string>",
"startedAfter": "<string>",
"startedBefore": "<string>"
},
"finishedAt": "<string>",
"previewedAt": "<string>",
"requestedBy": {
"name": "<string>",
"id": "<string>"
},
"scenarioId": "<string>",
"result": {
"skipped": 123,
"failed": 123,
"applied": 123
}
}
],
"metadata": {
"total": 123,
"totalIsCapped": true,
"perPage": 123,
"currentPage": 123,
"lastPage": 123,
"hasMore": true
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"type": "api_error",
"code": "<string>",
"message": "<string>",
"requestId": "<string>",
"fields": [
{
"field": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}
}Authorizations
An access token, bound to one account.
Path Parameters
Query Parameters
Required range:
1 <= x <= 500Required range:
1 <= x <= 50